Bug 732291 - libusb update is generating usbfs: usb_submit_urb returned -121 errors
libusb update is generating usbfs: usb_submit_urb returned -121 errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libusb (Show other bugs)
15
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-21 13:32 EDT by Cristian Paul Peñaranda Rojas
Modified: 2013-07-02 19:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:35:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Paul Peñaranda Rojas 2011-08-21 13:32:06 EDT
Description of problem:

Just after libusb-1:0.1.3-7.fc15.i686 was updated to 1:0.1.3-9.fc15.i686, i'm getting this error:

  usbfs: usb_submit_urb returned -121

Afecting the normal functionality of my jtag/serial pod [1], wich stop working after a flashing [1] operation initiated with urjtag.

Version-Release number of selected component (if applicable):

libusb1-1.0.8-7.fc15.i686
libusb1-devel-doc-1.0.8-7.fc15.noarch
libusb-0.1.3-9.fc15.i686
libusb1-devel-1.0.8-7.fc15.i686
libusb-devel-0.1.3-9.fc15.i686

urjtag compiled from sources HEAD 746efccffea017d5a06bb16be8e023852be0e0dd

How reproducible:

Compile urjtag [3]
Just following steps in [2].
  
Actual results:

Flashing process stop, jtag-serial board stop working and got:

 usbfs: usb_submit_urb returned -121 

from  a dmesg | tail

Expected results:

Flashing to be finished sucefully.

Additional info:

This had been reproduced on a FEL14 and Debian Squeeze System with is respective libusb and kernel versions, and all is OK.

Problem seems to be presented after the  libusb-1 update.


References:

[1] http://en.qi-hardware.com/wiki/Milkymist_JTAG-serial_daughterboard
[2] http://milkymist.org/wiki/index.php?title=Flashing_the_Milkymist_One#flash_system
[3] http://milkymist.org/wiki/index.php?title=Flashing_the_Milkymist_One#compile_urjtag
Comment 1 Cristian Paul Peñaranda Rojas 2011-08-21 13:43:14 EDT
Urjtag is not Pakcaged in Fedora but bug 598315 [1] about it to be reviewed. 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=598315
Comment 2 Hans de Goede 2011-08-21 17:48:11 EDT
Hi,

2 things:
1) It seems unlikely that the update you mention is the cause of your problems, have you tried installing
the old version again to see if the problem goes away? The mentioned update only makes changes to the -devel package, so that this is the cause seems unlikely.  errno 121 is EREMOTEIO and according to the
Documentation/usb/error-codes.txt document that means:

-EREMOTEIO              The data read from the endpoint did not fill the  
                        specified buffer, and URB_SHORT_NOT_OK was set in 
                        urb->transfer_flags.

Which does point to a software bug rather then a hardware error ...   Maybe there have been some changes in urjtag itself causing this?

2) libusb-0.1 now a days is just a backward compat wrapper around libusb-1.0, and there have been a lot of bugfixes to libusb-1.0 recently, can you try with these package please? :
http://koji.fedoraproject.org/koji/buildinfo?buildID=258129
Note that this package is for F-16 but I think it will install and work fine under F-15 too.

Regards,

Hans
Comment 3 Fedora End Of Life 2012-08-07 12:35:33 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.